1. quick setup
Zapmail
latest
  • latest
  • v1
  • Zapmail Docs
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
      GET
    • Get Mailbox Details by ID
      GET
    • Assign New Mailboxes to Domains
      POST
    • Update mailbox
      PUT
    • Remove mailboxes on next renewal
      PUT
    • Get Authenticator code
      GET
    • Custom OAuth
      POST
    • schedule mailbox creation
      POST
    • retry creation of failed mailboxes
      PUT
  • payments & wallet
    • Add balance to wallet
      POST
    • Get wallet balance
      GET
    • Enable auto recharge
      POST
    • Purchase add on mailboxes
      POST
    • get invoices for subscription
      POST
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Send Email
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Schemas
    • domain with filter
  1. quick setup

Quick Setup

POST
/v2/quick-setup
Purchases domains, assigns mailboxes to them, and optionally exports those mailboxes to a third-party app — all in a single call.
When you request mailboxes. You are only charged for the difference — the slots you still need.
For example, if you request 10 mailboxes and already have 7 unused slots, you will only be charged for 3 additional slots.
The slot plan type is derived automatically from your active plan — you do not need to pass it.
Slot charges are included directly in the same Stripe invoice or checkout session as the domain purchase.

Request

Header Params

Body Params application/jsonRequired

Example
{
  "domains": [
    {
      "domainName": "example.com"
    }
  ],
  "mailboxes": {
    "example.com": [
      {
        "username": "john",
        "firstName": "John",
        "lastName": "Doe",
        "profilePicture": "https://example.com/avatar.png"
      }
    ]
  },
  "exportApp": "INSTANTLY",
  "enableDnsShield": false
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.zapmail.ai/api/v2/quick-setup' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-id;' \
--header 'x-service-provider;' \
--header 'Content-Type: application/json' \
--data-raw '{
  "domains": [
    {
      "domainName": "example.com"
    }
  ],
  "mailboxes": {
    "example.com": [
      {
        "username": "john",
        "firstName": "John",
        "lastName": "Doe",
        "profilePicture": "https://example.com/avatar.png"
      }
    ]
  },
  "exportApp": "INSTANTLY",
  "enableDnsShield": false
}'

Responses

🟢200Success
application/json
Body

Example
{
  "status": 200,
  "message": "Quick setup initiated",
  "data": {
    "quickSetupBatchId": "550e8400-e29b-41d4-a716-446655440000",
    "slotsNeeded": 3,
    "invoiceUrl": "https://invoice.stripe.com/i/acct_xxx/..."
  }
}
🟠400Bad Request
Modified at 2026-04-17 09:52:28
Previous
Retrieve User Details
Next
Retrieve all workspaces
Built with